<p class="title">
	Assessment Maintenance > Add a new Requirement Category > <i>Add</i>
</p>
<form [formGroup]="requirementCategoryForm" name="createForm"
	id="createForm" novalidate role="form" novalidate
	(ngSubmit)="save(requirementCategoryForm.value)">
	<div class="card">
		<div class="card-header title"
			jhiTranslate="pcidssApp.requirementCategory.create.createLabel">Add
			a new Requirement Category</div>
		<div class="card-block">
			<jhi-alert-error></jhi-alert-error>
			<div class="form-group row">
				<label class="col-sm-2 form-control-label heading"
					jhiTranslate="pcidssApp.requirementCategory.categoryName"
					for="field_categoryName">Requirement Category</label>
				<div class="col-sm-10">
					<textarea class="form-control" name="categoryName"
						formControlName="categoryName" required>
                </textarea>
					<div
						*ngIf="requirementCategoryForm.controls.categoryName.errors && (requirementCategoryForm.controls.categoryName.dirty || requirementCategoryForm.controls.categoryName.touched)"
						class="alert alertError">
						<div
							[hidden]="!requirementCategoryForm.controls.categoryName.errors.required">
							This field is required.</div>
						<div
							[hidden]="!requirementCategoryForm.controls.categoryName.errors.minlength">Requirement
							Category must be at least 5 characters long.</div>
						<div
							[hidden]="!requirementCategoryForm.controls.categoryName.errors.maxlength">Requirement
							Category cannot be more than 100 characters long.</div>
						<div
							[hidden]="!requirementCategoryForm.controls.categoryName.errors.pattern">Invalid
							character</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row-md action-div">
			<button type="submit" (click)="previousState()"
				class="btn btn-default action-btn-with-text">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="submit" [disabled]="!requirementCategoryForm.valid"
				class="btn action-btn-with-text edit">
				<span class="fa fa-save"></span>&nbsp;<span>Save</span>
			</button>
		</div>
	</div>

</form>


